Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.util
Class UnifiedELMethodBinding

    java.lang.Object
      javax.faces.el.MethodBinding
          org.jboss.seam.util.UnifiedELMethodBinding

    public class UnifiedELMethodBinding

extends javax.faces.el.MethodBinding

Constructor Summary
`UnifiedELMethodBinding(String expression, Class[] args)`

Method Summary
`String` | `getExpressionString()`
`Class` | `getType(javax.faces.context.FacesContext ctx)`
`Object` | `invoke(javax.faces.context.FacesContext ctx, Object[] args)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnifiedELMethodBinding

    public UnifiedELMethodBinding(String expression,
                                  Class[] args)

Method Detail

### getExpressionString

    public String getExpressionString()

  Overrides:
    `getExpressionString` in class `javax.faces.el.MethodBinding`

### getType

    public Class getType(javax.faces.context.FacesContext ctx)
                  throws javax.faces.el.MethodNotFoundException

  Specified by:
    `getType` in class `javax.faces.el.MethodBinding`
  Throws:
    `javax.faces.el.MethodNotFoundException`

### invoke

    public Object invoke(javax.faces.context.FacesContext ctx,
                         Object[] args)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.MethodNotFoundException

  Specified by:
    `invoke` in class `javax.faces.el.MethodBinding`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.MethodNotFoundException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD